﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Microsoft.Win32;
using System.IO;

namespace RadGridView_Exorting
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			var grid = this.clubsGrid;
			var dialog = new SaveFileDialog()
			{
				DefaultExt = "xlsx",
				Filter = String.Format("(*.{0})|*.{1}", "xlsx", "xlsx")
			};

			if (dialog.ShowDialog() == true)
			{
				using (var stream = dialog.OpenFile())
				{
                    var options = new GridViewDocumentExportOptions();
                    grid.ExportToXlsx(stream, options);
				}
			}
		}
	}
}
